
% PLOTTING time O OBJECTS
figure(1)

if mode == 1
  
   Color  = [1 0 0]; %red
        line   = 2;
        style  = '-.';
        Color2 = 'ro';   
else
    if mode == 0
        Color  = [0 0 1]; %blue
        line   = 2;
        style  = '-.';
        Color2 = 'bo';       
    else

       Color  = [0 0.4 0.1]; %green
        line   = 2;
        style  = '-';
        Color2 = 'go';
    
    end
end


subplot(221)
a = results.a * results.Q_n(1);
plot(a/Y,results.c_n(:,1,1),'Color',Color,'LineStyle',style,'LineWidth',2)
hold on

grid on
title('(a) Consumption (unemp.), $c_0(a^m,y_1)$','interpreter','latex','FontSize',14)
if mode == 1
    xlim([amin/Y * results.Q_n(1) 4/results.Q_n(1)])
end

subplot(222)
plot(a/Y,results.c_n(:,2,1),'Color',Color,'LineStyle',style,'LineWidth',2)
hold on
grid on
title('(b) Consumption (emp.), $c_0(a^m,y_2)$','interpreter','latex','FontSize',14)
if mode == 1
    xlim([amin/Y * results.Q_n(1) 4/results.Q_n(1)])
end

subplot(223)
plot(a(2:end)/Y,f{1}(2:end,1)/results.Q_n(1),'Color',Color,'LineStyle',style,'LineWidth',2)
hold on
plot(a(1)/Y,f{1}(1,1)/results.Q_n(1),'g*')
grid on
if mode == 1
    xlim([amin/Y * results.Q_n(1) 4/results.Q_n(1)])
end
xlabel('Assets (market value), $a^m$','interpreter','latex','FontSize',12)
title('(c) Wealth density (unemp.), $f_0(a^m,y_1)$','interpreter','latex','FontSize',14)

subplot(224)
plot(a/Y,f{1}(:,2)/results.Q_n(1),'Color',Color,'LineStyle',style,'LineWidth',2)
hold on
grid on
if mode == 1
    xlim([amin/Y * results.Q_n(1) 4/results.Q_n(1)])
end
xlabel('Assets (market value),$a^m$','interpreter','latex','FontSize',12)
title('(d) Wealth density (emp.), $f_0(a^m,y_2)$','interpreter','latex','FontSize',14)

%% 
% figure(2)
% 
% 
% if mode == 1
%   
%    Color  = [1 0 0]; %blue
%         line   = 2;
%         style  = '-.';
%         Color2 = 'ro';   
% else
%     if mode == 0
%         Color  = [0 0 1]; %blue
%         line   = 2;
%         style  = '-.';
%         Color2 = 'bo';       
%     else
% 
%        Color  = [0 0.4 0.1]; %green
%         line   = 2;
%         style  = '-';
%         Color2 = 'go';
%     
%     end
% end
% 
% subplot(121)
% a = results.a * results.Q_n(1);
% plot(a/Y,results.V_n(:,1,1),'Color',Color,'LineStyle',style,'LineWidth',2)
% hold on
% 
% grid on
% xlabel('Assets (market value)','interpreter','latex','FontSize',12)
% title('Value function, $y = y_1$','interpreter','latex','FontSize',14)
% if mode == 1
%     xlim([amin/Y * results.Q_n(1) 4/results.Q_n(1)])
% end
% 
% subplot(122)
% a = results.a * results.Q_n(1);
% plot(a/Y,results.V_n(:,2,1),'Color',Color,'LineStyle',style,'LineWidth',2)
% hold on
% 
% grid on
% xlabel('Assets (market value)','interpreter','latex','FontSize',12)
% title('Value function, $y = y_2$','interpreter','latex','FontSize',14)
% if mode == 1
%     xlim([amin/Y * results.Q_n(1) 4/results.Q_n(1)])
% end
