function output = optimal_stationary_rule(parameters,pi)
%This code computes the optimal inflation rate under a rule
% Developped by Nuo and Thomas (2015)
    results      = HJB_stationary(parameters,pi);
    distribution = KFE_stationary(parameters,results);
    output       = -sum(sum(distribution.*results.V *results.da)); %with a negative sign due to fminsearch
   

